manage a set of undo or redo operations on a score. The objects passed into undo must implement serialize()/deserialize()

## Buffer format:

A buffer is one of 7 things:

- A single measure,
- A single staff
- the whole score
- a score modifier (text)
- score attributes (layout, etc)
- column - all the measures at one index
- rectangle - a rectangle of measures

### Hierarchy

- UndoBuffer

## Index

### Constructors

- constructor

## Constructors

### constructor

- new UndoBuffer(): UndoBuffer

- - Defined in src/smo/xform/undo.ts:72

  #### Returns UndoBuffer

Generated using TypeDoc